# slovník počtu obyvatel podle území
lidi = {}
with open('staty_lidi.log', encoding='utf-8') as f:
    for line in f:
        název, lidí = line.rstrip('\n').split(': ')
        lidi[název] = lidí

# slovník rozloh podle území
plochy = {}
with open('staty_plochy.log', encoding='utf-8') as f:
    for line in f:
        název, plocha = line.rstrip('\n').split(': ')
        plochy[název] = plocha

# převod na množiny
množina_lidí = set(lidi)
množina_ploch = set(plochy)
print(len(množina_lidí))    # 237
print(len(množina_ploch))   # 261

# porovnání
print(množina_lidí & množina_ploch)
print(len(množina_lidí & množina_ploch))    # 237

print(množina_ploch - množina_lidí)
print(len(množina_ploch - množina_lidí))    # 24

print(množina_lidí - množina_ploch)
print(len(množina_lidí - množina_ploch))    # 0
