# slovník počtu obyvatel podle území
lidi = {}
with open('staty_lidi.log', encoding='utf-8') as f:
    for line in f:
        název, lidí = line.rstrip('\n').split(': ')
        lidi[název] = lidí

# slovník rozloh podle území
plochy = {}
with open('staty_plochy.log', encoding='utf-8') as f:
    for line in f:
        název, plocha = line.rstrip('\n').split(': ')
        plochy[název] = plocha

# výpočet hustoty
hustoty = {}
for název,plocha in plochy.items():
    lidí = lidi.get(název, '0')   # pro 24 území ve slovníku 'lidi' není záznam o počtu obyvatel
    hustota = int(lidí) / float(plocha)
    hustoty[název] = plocha, lidí, hustota      # trojce

# výpis území seřazený podle hustoty zalidnění
def funkce(x):
    print('-->', x)
    return x

for název,data in sorted(hustoty.items(), key=funkce):
    # rozbalení dat
    plocha, lidí, hustota = data
    # výpis údajů
    print(f'{název} --> {lidí} obyvatel na {plocha} km^2 ==> hustota {hustota:.3f}')
